POST
/docs/{docId}/tables/{tableId}/dataDeprecatedAdd rows to a table
Adds rows to a table using the deprecated data endpoint. Send an object whose properties contain arrays of row objects to add; use the records endpoints for new projects. Set noparse to true to prevent string values from being parsed according to their column types.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
docIdstringrequired
The UUID of the document containing the table.
tableIdstringrequired
The normalized table name or a numeric row ID in `_grist_Tables`.
noparsebooleanoptional
Set to true to prevent strings from being parsed according to the column type.
200Returns an array of IDs for the rows added.
Error handling
The docId path parameter must be a UUID, and the tableId path parameter must be a normalized table name or a numeric row ID in _grist_Tables. The request body is an object containing arrays of row objects to add. Set the noparse query parameter to true to prevent parsing strings according to column types.
